Bug 173675 - Review Request: xfce4-xmms-plugin
Summary: Review Request: xfce4-xmms-plugin
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Greg DeKoenigsberg
QA Contact: David Lawrence
URL: http://xfce-goodies.berlios.de/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-11-18 21:11 UTC by Christoph Wickert
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-15 20:03:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christoph Wickert 2005-11-18 21:11:26 UTC
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-xmms-plugin.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-xmms-plugin-0.3.1-3.fc4.src.rpm
Description: 
Control XMMS from the Xfce panel.

Comments:
rpmlint clan
license BSD included

Comment 1 Luya Tshimbalanga 2005-11-30 09:30:44 UTC
spec looks good but built failed on rawhide on this line:

checking for xfce4-panel-1.0 >= 4.0.0... Package libxfcegui4-1.0 was not found
in the pkg-config search path. Perhaps you should add the directory containing
`libxfcegui4-1.0.pc' to the PKG_CONFIG_PATH environment variable Package
'libxfcegui4-1.0', required by 'xfce4-panel', not found
configure: error: Library requirements (xfce4-panel-1.0 >= 4.0.0) not met;
consider adjusting the PKG_CONFIG_PATH environment variable if your libraries
are in a nonstandard prefix so pkg-config can find them.
error: Bad exit status from /var/tmp/rpm-tmp.68902 (%build)


- Add libxfcegui4-1.0 as requirement

Comment 3 Luya Tshimbalanga 2005-12-02 08:41:01 UTC
Hello,

I completed the review of this packages. It succesfully passed and complied to
the package guideline http://fedoraproject.org/wiki/PackagingGuidelines. The
package is now set to FE-ACCEPTED.

Comment 4 Christoph Wickert 2005-12-15 20:03:52 UTC
Thanks for the review. Package will be released for Core 4 and devel soon. Won't
build on Core 3 because pango is out of date there.

Comment 5 Luya Tshimbalanga 2005-12-16 10:07:59 UTC
Perhaps by lowering pango version on the spec file this package will be built
for FC3. 

Comment 6 Christoph Wickert 2005-12-16 12:52:09 UTC
(In reply to comment #5)
> Perhaps by lowering pango version on the spec file this package will be built
> for FC3. 

Nope, the version is not in the spec file but in configure.ac. This plugin
_needs_ pango >= 1.8.0 while Core 3 comes with 1.6.0.


Note You need to log in before you can comment on or make changes to this bug.